# Uses of Interface
org.eclipse.emf.cdo.transaction.CDOUndoDetector

Packages that use CDOUndoDetector
Package
Description
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.

## Uses of CDOUndoDetector in org.eclipse.emf.cdo.transaction

Fields in org.eclipse.emf.cdo.transaction declared as CDOUndoDetector
Modifier and Type
Field
Description
`static final CDOUndoDetector`
CDOUndoDetector.`ALL_FEATURES`
`static final CDOUndoDetector`
CDOTransaction.Options.`DEFAULT_UNDO_DETECTOR`
`static final CDOUndoDetector`
CDOUndoDetector.`NO_FEATURES`
`static final CDOUndoDetector`
CDOUndoDetector.`SINGLE_VALUED_FEATURES`
Methods in org.eclipse.emf.cdo.transaction that return CDOUndoDetector
Modifier and Type
Method
Description
`CDOUndoDetector`
CDOTransaction.Options.`getUndoDetector()`
Returns the undo detector of this transaction.
Methods in org.eclipse.emf.cdo.transaction with parameters of type CDOUndoDetector
Modifier and Type
Method
Description
`void`
CDOTransaction.Options.`setUndoDetector(CDOUndoDetector undoDetector)`
Sets the undo detector of this transaction.